#ifndef FIELD_H
#define FIELD_H

#include <stddef.h>

#include "apple.h"

typedef struct field_T {
    Apple **a;
    size_t num;
    int x_max;
    int y_max;
} Field;

Field *new_field(size_t, int, int);
void delete_field(Field *);

void field_print(Field *);
int field_xy_is_apple(Field *, int, int, size_t *);
int field_relocate_apple(Field *, size_t);

#endif
